import { Component, OnInit } from '@angular/core';
import { CompNavComponent } from '../../../app/comp-nav/comp-nav.component';
import { RouterOutlet, Router } from '@angular/router';
import { CommonCompModule } from '../../../services/common.modules';
import { MatIconModule } from '@angular/material/icon';

@Component({
  selector: 'app-page-home',
  standalone: true,
  imports: [CompNavComponent, RouterOutlet, CommonCompModule,MatIconModule],
  templateUrl: './page-home.component.html',
  styleUrls: ['./page-home.component.scss'],
})
export class PageHomeComponent implements OnInit {
  options: Array<any> = [
    {
      name: '个人空间',
      id: '1',
      path: '/nav-author/manage/space',
    },
    {
      name: '回收站',
      id: '2',
      path: '/nav-author/manage/textbook',
      params: {
        isDeleted: true,
      },
    },
  ];
  active: string = localStorage.getItem('active') || this.options[0].id;
  isCollapsed:boolean = false;

  constructor(public router: Router) {}

  ngOnInit() {}
  toggleCollapsed(): void {
    this.isCollapsed = !this.isCollapsed;
  }
  toUrl(child: any) {
    let cateid = child.id;
    this.active = cateid;
    localStorage.setItem('active', cateid);
    console.log(child);
    if (child.params) {
      this.router.navigate([child.path, child?.params]);
    } else {
      this.router.navigate([child.path]);
    }
  }
}
