import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';
import { CommonCompModule } from '../../../services/common.modules';
import { Router } from '@angular/router';
import { ReactiveFormsModule } from '@angular/forms';
import { BasicInComponent } from '../components/basic-in/basic-in.component';
import { TextbookPertainComponent } from '../components/textbook-pertain/textbook-pertain.component';
import { TextbookContentComponent } from '../components/textbook-content/textbook-content.component';
import { AttachmentComponent } from '../components/attachment/attachment.component';
import { NzAnchorModule } from 'ng-zorro-antd/anchor';
import { DatePipe } from '@angular/common';
interface author {
  name: string;
  unit: string;
  birth: Date | any;
  nationality: string;
  job: string;
  title: string;
  mobile: string;
  email: string;
  work: string;
}
@Component({
  selector: 'app-textbook-details',
  imports: [
    CommonCompModule,
    ReactiveFormsModule,
    BasicInComponent,
    TextbookPertainComponent,
    TextbookContentComponent,
    AttachmentComponent,
    NzAnchorModule,
    DatePipe,
  ],
  standalone: true,
  templateUrl: './textbook-details.component.html',
  styleUrls: ['./textbook-details.component.scss'],
  providers: [DatePipe],
})
export class TextbookDetailsComponent implements OnInit {
  textBook: object | any = {
    authorList: [
      {
        name: '曹春海',
        unit: '外语教育出版社',
        birth: new Date('2000-1-1'),
        nationality: '中国',
        job: '博士生导师',
        title: '教授',
        mobile: '1881881888',
        email: '123@123.com',
        work: '主编',
      },
    ],
    achievementOptions: [//相关科学研究项目、成果或论文专著（限5项）
      {
        name: '双语教育对人脑杏仁核发育影响研究',
        unit: '二十一世纪出版社',
        date: new Date('2000-1-1'),
      },
    ],
  };
  constructor() {}

  ngOnInit() {}

  handleClick(e: string): void {
    console.log(e);
  }
  back() {
    history.back();
  }
}
